#include <stdio.h>
#include "E5270_TIS.h"

main()
{
int ret;

#ifdef E5270_TIS_H
	ret = open_E5270( "GPIB0::17::INSTR" , ERR_DETECT_ON,NULL);
	if ( ret != 0 ) {
					printf( "Failed to open E5270. Exit program.\n" );
					return( -1 );
					}
#endif

int emitter, base, collector, status;
double range, start, stop, current, hold, delay;
double result;

emitter = 12;
base = 13;
collector = 14;
range = 0.0;
start = 0.0;
stop = 200.0;
current = 15e-3;
hold = 0.1;
delay = 0.1;

init_system();
connect_pin(SMU1, emitter);
/*connect_pin(SMU2, base);*/
connect_pin(SMU4, collector);

/*force_i(base, 3e-6, 0.0, 10.0);*/
force_v(emitter, 0.0, 0.0, 0.1);
set_bdv(collector, range, start, stop, current, hold, delay);
measure_bdv( &result, &status, BDV_INTVL_SHORT);

disable_port(0);
disconnect_all();

printf(" Vbd (V)   Status\n");
printf(" %6.4f    %d\n", result, status);

#ifdef E5270_TIS_H
	close_E5270();
#endif
	return( 0 );
}